Bug 23688 - System preference uppercasesurnames broken by typo
Summary: System preference uppercasesurnames broken by typo
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 23199
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-27 11:22 UTC by Kyle M Hall
Modified: 2019-11-13 22:43 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 23688 - System preference uppercasesurnames broken by typo (2.06 KB, patch)
2019-09-27 11:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23688 - System preference uppercasesurnames broken by typo (2.10 KB, patch)
2019-09-27 19:03 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23688: System preference uppercasesurnames broken by typo (2.15 KB, patch)
2019-09-30 12:24 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2019-09-27 11:22:01 UTC
In the process of moving this feature from memberentry.pl to Patron.pm, the 's' on uppercasesurnames was dropped, breaking the feature.
Comment 1 Kyle M Hall 2019-09-27 11:25:01 UTC
Created attachment 93189 [details] [review]
Bug 23688 - System preference uppercasesurnames broken by typo

In the process of moving this feature from memberentry.pl to Patron.pm, the 's' on uppercasesurnames was dropped, breaking the feature.

Test Plan:
1) Test uppercasesurnames, note it does not work
2) Apply this patch
3) Test uppercasesurnames, note it works now!
Comment 2 Lisette Scheer 2019-09-27 16:15:12 UTC
Both before and after applying the patch I had to go edit a patron to make their name display in uppercase after turning the setting on. 
We don't use this feature, so I'm not sure if that is the desired effect or if it should do it as soon as you turn the setting. 
Lisette
Comment 3 ByWater Sandboxes 2019-09-27 19:03:13 UTC
Created attachment 93210 [details] [review]
Bug 23688 - System preference uppercasesurnames broken by typo

In the process of moving this feature from memberentry.pl to Patron.pm, the 's' on uppercasesurnames was dropped, breaking the feature.

Test Plan:
1) Test uppercasesurnames, note it does not work
2) Apply this patch
3) Test uppercasesurnames, note it works now!

Signed-off-by: Kyle Hall <kyle@bywatersolutions.com>
Comment 4 Andrew Fuerste-Henry 2019-09-27 19:03:42 UTC
Signed off for Karen Fellows, karen.fellows@citruslibraries.org
Comment 5 Nick Clemens 2019-09-30 12:24:23 UTC
Created attachment 93237 [details] [review]
Bug 23688: System preference uppercasesurnames broken by typo

In the process of moving this feature from memberentry.pl to Patron.pm, the 's' on uppercasesurnames was dropped, breaking the feature.

Test Plan:
1) Test uppercasesurnames, note it does not work
2) Apply this patch
3) Test uppercasesurnames, note it works now!

Signed-off-by: Kyle Hall <kyle@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Martin Renvoize 2019-10-01 06:46:01 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-10-08 07:52:46 UTC
Pushed to 19.05.x for 19.05.05
Comment 8 Lucas Gass 2019-11-13 22:43:10 UTC
backported to 18.11.x for 18.11.11